gr::gsm::burst_file_sink Class Reference

<+description of block+> More...

`#include <burst_file_sink.h>`

Inheritance diagram for gr::gsm::burst_file_sink:

## Public Types

typedef std::shared_ptr< burst_file_sink > | sptr

## Static Public Member Functions

static sptr | make (const std::string &filename)
| Return a shared_ptr to a new instance of grgsm::burst_file_sink.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<burst_file_sink> gr::gsm::burst_file_sink::sptr

## Member Function Documentation

## make()

sptr gr::gsm::burst_file_sink::make | ( | const std::string & | filename | ) |

static

Return a shared_ptr to a new instance of grgsm::burst_file_sink.

To avoid accidental use of raw pointers, grgsm::burst_file_sink's constructor is in a private implementation class. grgsm::burst_file_sink::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- burst_file_sink.h